{ pkgs, config, ... }: {

    services.udev.packages = [ pkgs.platformio ];

    # embedded board development
    environment.systemPackages = with pkgs; [
        platformio-core # toolchain manager for various microcontrollers
        openocd         # on-chip programming and debugging support
        avrdude         # esp32 and others support
    ];
}
